Subject: Re: bug#65393: python-uqbar test failure

From: Greg Hogan <[email-masked]>
Date: Thu, 24 Apr 2025 13:29:50 -0400

On Sat, Aug 19, 2023 at 8:31 PM Maxime Devos <[email-masked]> wrote:
>
> [...]
> E         - optional arguments:
> E         + options:
> E             -h, --help            show this help message and exit
> E             --version             show program's version number and exit
> E
> E           subcommands:
> E             {help,list,birds,mammals}
> E               help                print subcommand help
> E               list                list subcommands
> E               birds               {squawk} subcommand(s)
> E               mammals             {meow, woof} subcommand(s)
> [...]
> FAILED tests/test_cli.py::test_call_help - assert ('usage: meow-cli [-h]
> [--v...
> FAILED tests/test_cli.py::test_help - assert ('usage: vox-aggregator
> [-h] [--...
>
> Looks like an update of a dependency (changing optional
> arguments->options) was not expected by the tests, if I guess correctly.
> ---
> (I'm going through <https://ci.guix.gnu.org/eval/668365/dashboard>
> one-by-one, albeit not in the same order as listed there.)

Closing as this package has been updated and is now successfully building.